Package javassist.bytecode.analysis

# Class Subroutine

java.lang.Object
javassist.bytecode.analysis.Subroutine

public class Subroutine extends Object
Represents a nested method subroutine (marked by JSR and RET).

Author:
  Jason T. Greene

## Constructor Summary

Constructors
Constructor
Description
`Subroutine(int start, int caller)`

## Method Summary

Modifier and Type
Method
Description
`void`
`access(int index)`
`Collection<Integer>`
`accessed()`
`void`
`addCaller(int caller)`
`Collection<Integer>`
`callers()`
`boolean`
`isAccessed(int index)`
`int`
`start()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Subroutine

public Subroutine(int start, int caller)

## Method Details

### addCaller

public void addCaller(int caller)

### start

public int start()

### access

public void access(int index)

### isAccessed

public boolean isAccessed(int index)

### accessed

public Collection<Integer> accessed()

### callers

public Collection<Integer> callers()

### toString

public String toString()

Overrides:
  `toString` in class `Object`